#version 130
#extension GL_EXT_gpu_shader4 : enable

uniform float sliceCount;

in vec2 vertex;
out vec2 texCoord;

void main(void)
{
  gl_Position = vec4(vertex, 0.5, 1.0);
  texCoord = vertex * 0.5 + 0.5;
  texCoord.y *= sliceCount;
}
